org.keycloak.connections.infinispan

## Interface InfinispanConnectionProvider

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    DefaultInfinispanConnectionProvider

      public interface InfinispanConnectionProvider
      extends Provider

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTION_TOKEN_CACHE`
    `static int` | `ACTION_TOKEN_CACHE_DEFAULT_MAX`
    `static int` | `ACTION_TOKEN_MAX_IDLE_SECONDS`
    `static long` | `ACTION_TOKEN_WAKE_UP_INTERVAL_SECONDS`
    `static String` | `AUTHENTICATION_SESSIONS_CACHE_NAME`
    `static String` | `AUTHORIZATION_CACHE_NAME`
    `static int` | `AUTHORIZATION_REVISIONS_CACHE_DEFAULT_MAX`
    `static String` | `AUTHORIZATION_REVISIONS_CACHE_NAME`
    `static String` | `CLIENT_SESSION_CACHE_NAME`
    `static String` | `JBOSS_NODE_NAME`
    `static String` | `JBOSS_SITE_NAME`
    `static String` | `JGROUPS_UDP_MCAST_ADDR`
    `static String` | `JMX_DOMAIN`
    `static int` | `KEYS_CACHE_DEFAULT_MAX`
    `static int` | `KEYS_CACHE_MAX_IDLE_SECONDS`
    `static String` | `KEYS_CACHE_NAME`
    `static String` | `LOGIN_FAILURE_CACHE_NAME`
    `static String` | `NODE_PREFIX`
    `static String` | `OFFLINE_CLIENT_SESSION_CACHE_NAME`
    `static String` | `OFFLINE_USER_SESSION_CACHE_NAME`
    `static String` | `REALM_CACHE_NAME`
    `static int` | `REALM_REVISIONS_CACHE_DEFAULT_MAX`
    `static String` | `REALM_REVISIONS_CACHE_NAME`
    `static String` | `USER_CACHE_NAME`
    `static int` | `USER_REVISIONS_CACHE_DEFAULT_MAX`
    `static String` | `USER_REVISIONS_CACHE_NAME`
    `static String` | `USER_SESSION_CACHE_NAME`
    `static String` | `WORK_CACHE_NAME`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<K,V> org.infinispan.Cache<K,V>` | `getCache(String name)`
    `<K,V> org.infinispan.client.hotrod.RemoteCache<K,V>` | `getRemoteCache(String name)` Get remote cache of given name.
    `TopologyInfo` | `getTopologyInfo()`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Field Detail

    - #### REALM_CACHE_NAME

          static final String REALM_CACHE_NAME

      See Also:
        Constant Field Values

    - #### REALM_REVISIONS_CACHE_NAME

          static final String REALM_REVISIONS_CACHE_NAME

      See Also:
        Constant Field Values

    - #### REALM_REVISIONS_CACHE_DEFAULT_MAX

          static final int REALM_REVISIONS_CACHE_DEFAULT_MAX

      See Also:
        Constant Field Values

    - #### USER_CACHE_NAME

          static final String USER_CACHE_NAME

      See Also:
        Constant Field Values

    - #### USER_REVISIONS_CACHE_NAME

          static final String USER_REVISIONS_CACHE_NAME

      See Also:
        Constant Field Values

    - #### USER_REVISIONS_CACHE_DEFAULT_MAX

          static final int USER_REVISIONS_CACHE_DEFAULT_MAX

      See Also:
        Constant Field Values

    - #### USER_SESSION_CACHE_NAME

          static final String USER_SESSION_CACHE_NAME

      See Also:
        Constant Field Values

    - #### CLIENT_SESSION_CACHE_NAME

          static final String CLIENT_SESSION_CACHE_NAME

      See Also:
        Constant Field Values

    - #### OFFLINE_USER_SESSION_CACHE_NAME

          static final String OFFLINE_USER_SESSION_CACHE_NAME

      See Also:
        Constant Field Values

    - #### OFFLINE_CLIENT_SESSION_CACHE_NAME

          static final String OFFLINE_CLIENT_SESSION_CACHE_NAME

      See Also:
        Constant Field Values

    - #### LOGIN_FAILURE_CACHE_NAME

          static final String LOGIN_FAILURE_CACHE_NAME

      See Also:
        Constant Field Values

    - #### AUTHENTICATION_SESSIONS_CACHE_NAME

          static final String AUTHENTICATION_SESSIONS_CACHE_NAME

      See Also:
        Constant Field Values

    - #### WORK_CACHE_NAME

          static final String WORK_CACHE_NAME

      See Also:
        Constant Field Values

    - #### AUTHORIZATION_CACHE_NAME

          static final String AUTHORIZATION_CACHE_NAME

      See Also:
        Constant Field Values

    - #### AUTHORIZATION_REVISIONS_CACHE_NAME

          static final String AUTHORIZATION_REVISIONS_CACHE_NAME

      See Also:
        Constant Field Values

    - #### AUTHORIZATION_REVISIONS_CACHE_DEFAULT_MAX

          static final int AUTHORIZATION_REVISIONS_CACHE_DEFAULT_MAX

      See Also:
        Constant Field Values

    - #### ACTION_TOKEN_CACHE

          static final String ACTION_TOKEN_CACHE

      See Also:
        Constant Field Values

    - #### ACTION_TOKEN_CACHE_DEFAULT_MAX

          static final int ACTION_TOKEN_CACHE_DEFAULT_MAX

      See Also:
        Constant Field Values

    - #### ACTION_TOKEN_MAX_IDLE_SECONDS

          static final int ACTION_TOKEN_MAX_IDLE_SECONDS

      See Also:
        Constant Field Values

    - #### ACTION_TOKEN_WAKE_UP_INTERVAL_SECONDS

          static final long ACTION_TOKEN_WAKE_UP_INTERVAL_SECONDS

      See Also:
        Constant Field Values

    - #### KEYS_CACHE_NAME

          static final String KEYS_CACHE_NAME

      See Also:
        Constant Field Values

    - #### KEYS_CACHE_DEFAULT_MAX

          static final int KEYS_CACHE_DEFAULT_MAX

      See Also:
        Constant Field Values

    - #### KEYS_CACHE_MAX_IDLE_SECONDS

          static final int KEYS_CACHE_MAX_IDLE_SECONDS

      See Also:
        Constant Field Values

    - #### JBOSS_NODE_NAME

          static final String JBOSS_NODE_NAME

      See Also:
        Constant Field Values

    - #### JGROUPS_UDP_MCAST_ADDR

          static final String JGROUPS_UDP_MCAST_ADDR

      See Also:
        Constant Field Values

    - #### JBOSS_SITE_NAME

          static final String JBOSS_SITE_NAME

      See Also:
        Constant Field Values

    - #### JMX_DOMAIN

          static final String JMX_DOMAIN

      See Also:
        Constant Field Values

    - #### NODE_PREFIX

          static final String NODE_PREFIX

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getCache

          <K,V> org.infinispan.Cache<K,V> getCache(String name)

    - #### getRemoteCache

          <K,V> org.infinispan.client.hotrod.RemoteCache<K,V> getRemoteCache(String name)

      Get remote cache of given name. Could just retrieve the remote cache from the remoteStore configured in given infinispan cache and/or alternatively return the secured remoteCache (remoteCache corresponding to secured hotrod endpoint)

    - #### getTopologyInfo

          TopologyInfo getTopologyInfo()

      Returns:
        Information about cluster topology

Copyright © 2020 JBoss by Red Hat. All rights reserved.